domingo, 12 de maio de 2019

Kubuntu rolling release

Kubuntu “rolling release”, — atualmente, 19.10 Eoan Ermine

Foi preciso escrever “Kubuntu (rolling)” no cabeçalho do Conky, — para distinguir os registros feitos após a 2ª etapa dessa transformação:

  1. Transformar o Kubuntu 19.04 “Disco Dingo” em 19.10 “Eoan Ermine”
  2. Transformar o Kubuntu 19.10 “Eoan Ermine” em “Rolling release”

Porque a segunda transformação não altera absolutamente nada, — o Kubuntu “rolling release” nada mais é do que o próprio Kubuntu 19.10 Eoan Ermine “em desenvolvimento” (development branch), — até seu lançamento, em Outubro.

Importante! — Isto NÃO é um tutorial. — Isto NÃO é recomendável.

Note que, nesta experiência, não está em uso nenhum PPA, Flatpak, Snap, AppImage etc. — PPAs, por exemplo, são orientados para versões ativas do Ubuntu, — e não para a versão ainda em desenvolvimento.

Índice


  • Upgrade para Eoan Ermine
  • Transformação por comando
  • Transformação em Rolling release

Upgrade para Eoan Ermine


Substituição dos repositórios Disco pelos Eoan

Uma das maneiras de se obter a próxima versão do Kubuntu (development branch) é baixar e instalar. — Imagens ISO “daily-build” do Kubuntu 19.10 “Eoan Ermine” já estavam disponíveis desde 23 Abril.

Esse foi o caminho que experimentei em Novembro do ano passado, para acompanhar o desenvolvimento do Kubuntu 19.04 “Disco Dingo”. — No entanto, teria de reinstalar vários pacotes, que não fazem parte da distro.

Agora, optei por apenas fazer upgrade para o Kubuntu 19.10 “Eoan Ermine” (development-branch), — conforme sugestão no blog GNU / Linux - Dicas e Suporte:

(1) $ sudo apt update
(2) $ sudo apt full-upgrade
(3) $ sudo reboot
(4) $ sudo -i
(5) # sed -i 's/disco/eoan/g' /etc/apt/sources.list
(6) # apt update
(7) # apt-get dist-upgrade

Os 3 primeiros comandos fazem:
  1. Atualização da lista de pacotes dos repositórios;
  2. Atualização completa do sistema, inclusive removendo o que for necessário;
  3. Reiniciar o computador, para assegurar que estarão em uso as últimas versões do Kernel, SystemD, bibliotecas e tudo mais.

O primeiro passo (1) faz parte da minha rotina, antes de aplicar as atualizações pelo Synaptic, — que cuida das remoções necessárias.

Por via das dúvidas, depois executei o comando (2), só para ter certeza de que o Synaptic cumpriu sua tarefa.

APT
...
       full-upgrade (apt-get(8))
           full-upgrade performs the function of upgrade but will remove currently installed packages if this is needed to
           upgrade the system as a whole.
...

Como meu sistema é multi-boot, — e o Grub é comandado pelo Mageia, — o passo (3) incluiu uma etapa adicional, de passar pelo Mageia e atualizar o Grub, antes de voltar ao Kubuntu 19.04 Disco Dingo para prosseguir.

A rigor, isso não era necessário neste caso específico, pois não havia alteração do Kernel.

O passo seguinte (4) substitui o comando “su”, — desabilitado por padrão no Kubuntu, ao que parece.

O comando “sed” (5) foi adaptado, — pois o site tratava de versões anteriores do Ubuntu. — Agora, trata-se de substituir os repositórios do Disco Dingo pelos do Eoan Ermine.

Com os repositórios trocados, é necessário recarregar as listas dos pacotes (6), — e realizar o upgrade para a nova versão (7):

APT-GET
...
       dist-upgrade
           dist-upgrade in addition to performing the function of upgrade, also intelligently handles changing dependencies with
           new versions of packages; apt-get has a "smart" conflict resolution system, and it will attempt to upgrade the most
           important packages at the expense of less important ones if necessary. The dist-upgrade command may therefore remove
           some packages. The /etc/apt/sources.list file contains a list of locations from which to retrieve desired package
           files. See also apt_preferences(5) for a mechanism for overriding the general settings for individual packages.
...

O desenvolvimento do Kubuntu 19.10 Eoan Ermine ainda tinha poucos dias, — foi aberto em 30 Abril 2019, — menos de 2 semanas após o último lançamento, no dia 18.

Mesmo assim, no dia 9 de Maio o “dist-upgrade” atualizou nada menos que 611 pacotes, instalou mais 20 e removeu 1, — coisa de 28 minutos (conexão de 1,3 MiB/s):

2019-05-09 13:41:27

$ sudo apt update
...
611 packages can be upgraded. Run 'apt list --upgradable' to see them.

$ apt list --upgradable
...
apt-utils/eoan 1.8.1+19.10 amd64 [upgradable from: 1.8.0]
apt/eoan 1.8.1+19.10 amd64 [upgradable from: 1.8.0]
arj/eoan 3.10.22-20 amd64 [upgradable from: 3.10.22-18]
ark/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
baloo-kf5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
base-files/eoan 10.2ubuntu2 amd64 [upgradable from: 10.1ubuntu9]
bash-completion/eoan,eoan 1:2.8-6ubuntu1 all [upgradable from: 1:2.8-1ubuntu1]
bash/eoan 5.0-4ubuntu1 amd64 [upgradable from: 5.0-3ubuntu1]
bind9-host/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
binutils-common/eoan 2.32-8ubuntu1 amd64 [upgradable from: 2.32-7ubuntu4]
binutils-x86-64-linux-gnu/eoan 2.32-8ubuntu1 amd64 [upgradable from: 2.32-7ubuntu4]
binutils/eoan 2.32-8ubuntu1 amd64 [upgradable from: 2.32-7ubuntu4]
breeze-icon-theme/eoan,eoan 4:5.57.0-0ubuntu1 all [upgradable from: 4:5.56.0-0ubuntu1]
busybox-initramfs/eoan 1:1.30.1-4ubuntu3 amd64 [upgradable from: 1:1.27.2-2ubuntu7]
busybox-static/eoan 1:1.30.1-4ubuntu3 amd64 [upgradable from: 1:1.27.2-2ubuntu7]
chromium-browser-l10n/eoan,eoan 74.0.3729.131-0ubuntu1 all [upgradable from: 73.0.3683.103-0ubuntu1]
chromium-browser/eoan 74.0.3729.131-0ubuntu1 amd64 [upgradable from: 73.0.3683.103-0ubuntu1]
chromium-codecs-ffmpeg-extra/eoan 74.0.3729.131-0ubuntu1 amd64 [upgradable from: 73.0.3683.103-0ubuntu1]
console-setup-linux/eoan,eoan 1.191ubuntu3 all [upgradable from: 1.178ubuntu12.1]
console-setup/eoan,eoan 1.191ubuntu3 all [upgradable from: 1.178ubuntu12.1]
coreutils/eoan 8.30-3ubuntu1 amd64 [upgradable from: 8.30-1ubuntu1]
cpio/eoan 2.12+dfsg-9 amd64 [upgradable from: 2.12+dfsg-6]
cpp-8/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
cron/eoan 3.0pl1-133ubuntu1 amd64 [upgradable from: 3.0pl1-128.1ubuntu1]
cups-bsd/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
cups-client/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
cups-common/eoan,eoan 2.2.10-6ubuntu1 all [upgradable from: 2.2.10-4]
cups-core-drivers/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
cups-daemon/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
cups-ipp-utils/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
cups-ppdc/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
cups-server-common/eoan,eoan 2.2.10-6ubuntu1 all [upgradable from: 2.2.10-4]
cups/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
dash/eoan 0.5.10.2-5 amd64 [upgradable from: 0.5.10.2-4ubuntu1]
dconf-gsettings-backend/eoan 0.32.0-1 amd64 [upgradable from: 0.30.1-2]
dconf-service/eoan 0.32.0-1 amd64 [upgradable from: 0.30.1-2]
debconf-i18n/eoan,eoan 1.5.72 all [upgradable from: 1.5.71]
debconf/eoan,eoan 1.5.72 all [upgradable from: 1.5.71]
debhelper/eoan,eoan 12.1.1ubuntu1 all [upgradable from: 12ubuntu1]
diffutils/eoan 1:3.7-3 amd64 [upgradable from: 1:3.7-2]
distro-info-data/eoan,eoan 0.40ubuntu2 all [upgradable from: 0.39ubuntu2.1]
dmsetup/eoan 2:1.02.155-2ubuntu1 amd64 [upgradable from: 2:1.02.145-4.1ubuntu4]
dns-root-data/eoan,eoan 2019031302 all [upgradable from: 2018091102]
dnsutils/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
dolphin/eoan 4:19.04.0-0ubuntu2 amd64 [upgradable from: 4:18.12.3-0ubuntu2]
e2fsprogs/eoan 1.45.0-1 amd64 [upgradable from: 1.44.6-1]
ffmpegthumbs/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
filelight/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
firefox-locale-en/eoan 66.0.5+build1-0ubuntu1 amd64 [upgradable from: 66.0.4+build3-0ubuntu0.19.04.1]
firefox-locale-pt/eoan 66.0.5+build1-0ubuntu1 amd64 [upgradable from: 66.0.4+build3-0ubuntu0.19.04.1]
firefox/eoan 66.0.5+build1-0ubuntu1 amd64 [upgradable from: 66.0.4+build3-0ubuntu0.19.04.1]
fonts-opensymbol/eoan,eoan 2:102.10+LibO6.2.3-0ubuntu1 all [upgradable from: 2:102.10+LibO6.2.2-0ubuntu2]
fonts-wine/eoan,eoan 4.0-2 all [upgradable from: 4.0-1]
frameworkintegration/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
friendly-recovery/eoan,eoan 0.2.40 all [upgradable from: 0.2.39]
fwupd-signed/eoan 1.7+1.2.6-1ubuntu1 amd64 [upgradable from: 1.6+1.2.5-1ubuntu1]
fwupd/eoan 1.2.6-1ubuntu1 amd64 [upgradable from: 1.2.5-1ubuntu1]
g++-8/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
gcc-8-base/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
gcc-8/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
gcc-9-base/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
gcc-9-base/eoan 9.1.0-1ubuntu1 i386 [upgradable from: 9-20190402-1ubuntu1]
ghostscript-x/eoan 9.26~dfsg+0-0ubuntu8 amd64 [upgradable from: 9.26~dfsg+0-0ubuntu7.1]
ghostscript/eoan 9.26~dfsg+0-0ubuntu8 amd64 [upgradable from: 9.26~dfsg+0-0ubuntu7.1]
glib-networking-common/eoan,eoan 2.60.1-1build1 all [upgradable from: 2.60.1-1]
glib-networking-services/eoan 2.60.1-1build1 amd64 [upgradable from: 2.60.1-1]
glib-networking/eoan 2.60.1-1build1 amd64 [upgradable from: 2.60.1-1]
gnustep-gui-common/eoan,eoan 0.27.0-5 all [upgradable from: 0.27.0-4]
gnustep-gui-runtime/eoan 0.27.0-5 amd64 [upgradable from: 0.27.0-4]
gparted/eoan 0.32.0-2 amd64 [upgradable from: 0.32.0-1ubuntu1]
gstreamer1.0-gl/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
gstreamer1.0-gtk3/eoan 1.16.0-1ubuntu3 amd64 [upgradable from: 1.15.90-1ubuntu1]
gstreamer1.0-libav/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
gstreamer1.0-plugins-bad/eoan 1.16.0-1ubuntu1 amd64 [upgradable from: 1.15.90-1ubuntu1]
gstreamer1.0-plugins-base/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
gstreamer1.0-plugins-base/eoan 1.16.0-1 i386 [upgradable from: 1.15.90-1]
gstreamer1.0-plugins-good/eoan 1.16.0-1ubuntu3 amd64 [upgradable from: 1.15.90-1ubuntu1]
gstreamer1.0-plugins-ugly/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
gstreamer1.0-pulseaudio/eoan 1.16.0-1ubuntu3 amd64 [upgradable from: 1.15.90-1ubuntu1]
gstreamer1.0-x/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
guile-2.2-libs/eoan 2.2.4+1-1ubuntu3.1 amd64 [upgradable from: 2.2.4+1-1ubuntu2]
gwenview/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
gzip/eoan 1.10-0ubuntu1 amd64 [upgradable from: 1.9-3]
im-config/eoan,eoan 0.43-1ubuntu2 all [upgradable from: 0.38-1ubuntu2]
imagemagick-6-common/eoan,eoan 8:6.9.10.23+dfsg-2.1ubuntu1 all [upgradable from: 8:6.9.10.14+dfsg-7ubuntu2]
imagemagick-6.q16/eoan 8:6.9.10.23+dfsg-2.1ubuntu1 amd64 [upgradable from: 8:6.9.10.14+dfsg-7ubuntu2]
imagemagick/eoan 8:6.9.10.23+dfsg-2.1ubuntu1 amd64 [upgradable from: 8:6.9.10.14+dfsg-7ubuntu2]
info/eoan 6.5.0.dfsg.1-5 amd64 [upgradable from: 6.5.0.dfsg.1-4build1]
initramfs-tools-bin/eoan 0.133ubuntu1 amd64 [upgradable from: 0.131ubuntu19]
initramfs-tools-core/eoan,eoan 0.133ubuntu1 all [upgradable from: 0.131ubuntu19]
initramfs-tools/eoan,eoan 0.133ubuntu1 all [upgradable from: 0.131ubuntu19]
install-info/eoan 6.5.0.dfsg.1-5 amd64 [upgradable from: 6.5.0.dfsg.1-4build1]
k3b-data/eoan,eoan 19.04.0-0ubuntu1 all [upgradable from: 18.12.3-0ubuntu1]
k3b-i18n/eoan,eoan 19.04.0-0ubuntu1 all [upgradable from: 18.12.3-0ubuntu1]
k3b/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
kaccounts-integration/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kaccounts-providers/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kactivities-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kamera/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kate5-data/eoan,eoan 4:19.04.0-0ubuntu2 all [upgradable from: 4:18.12.3-0ubuntu1]
kate/eoan 4:19.04.0-0ubuntu2 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kcalc/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kde-spectacle/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
kded5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kdegraphics-mobipocket/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kdegraphics-thumbnailers/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kdenetwork-filesharing/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kdialog/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kdoctools5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
keditbookmarks/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
keyboard-configuration/eoan,eoan 1.191ubuntu3 all [upgradable from: 1.178ubuntu12.1]
kfind/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
khelpcenter/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kimageformat-plugins/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kinit/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kio-audiocd/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kio-extras-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
kio-extras/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kio/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kmod/eoan 26-1ubuntu1 amd64 [upgradable from: 25-1ubuntu4]
konq-plugins/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
konqueror/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
konsole-kpart/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu2]
konsole/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu2]
kpackagelauncherqml/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kpackagetool5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
krb5-locales/eoan,eoan 1.17-2 all [upgradable from: 1.17-1]
kross/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
ksystemlog/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
ktexteditor-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
ktexteditor-katepart/eoan 5.57.0-0ubuntapt-get dist-upgradeu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
kwalletmanager/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
kwayland-data/eoan,eoan 4:5.57.0-0ubuntu1 all [upgradable from: 4:5.56.0-0ubuntu1]
kwrite/eoan 4:19.04.0-0ubuntu2 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
language-selector-common/eoan,eoan 0.196 all [upgradable from: 0.194]
libapt-inst2.0/eoan 1.8.1+19.10 amd64 [upgradable from: 1.8.0]
libapt-pkg5.0/eoan 1.8.1+19.10 amd64 [upgradable from: 1.8.0]
libarpack2/eoan 3.7.0-2 amd64 [upgradable from: 3.7.0-1]
libasan5/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libassuan0/eoan 2.5.3-1 amd64 [upgradable from: 2.5.2-1]
libastro1/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libatk-wrapper-java-jni/eoan 0.33.3-22 amd64 [upgradable from: 0.33.3-21]
libatk-wrapper-java/eoan,eoan 0.33.3-22 all [upgradable from: 0.33.3-21]
libatomic1/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libatomic1/eoan 9.1.0-1ubuntu1 i386 [upgradable from: 9-20190402-1ubuntu1]
libaudit-common/eoan,eoan 1:2.8.4-3ubuntu1 all [upgradable from: 1:2.8.3-1ubuntu3]
libaudit1/eoan 1:2.8.4-3ubuntu1 amd64 [upgradable from: 1:2.8.3-1ubuntu3]
libbasicusageenvironment1/eoan 2018.11.26-1.1 amd64 [upgradable from: 2018.11.26-1]
libbind9-161/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libbinutils/eoan 2.32-8ubuntu1 amd64 [upgradable from: 2.32-7ubuntu4]
libbluray2/eoan 1:1.1.1-2 amd64 [upgradable from: 1:1.1.0-1]
libboost-date-time1.67.0/eoan 1.67.0-13ubuntu1 amd64 [upgradable from: 1.67.0-13]
libboost-filesystem1.67.0/eoan 1.67.0-13ubuntu1 amd64 [upgradable from: 1.67.0-13]
libboost-iostreams1.67.0/eoan 1.67.0-13ubuntu1 amd64 [upgradable from: 1.67.0-13]
libboost-locale1.67.0/eoan 1.67.0-13ubuntu1 amd64 [upgradable from: 1.67.0-13]
libboost-system1.67.0/eoan 1.67.0-13ubuntu1 amd64 [upgradable from: 1.67.0-13]
libboost-thread1.67.0/eoan 1.67.0-13ubuntu1 amd64 [upgradable from: 1.67.0-13]
libcaca0/eoan 0.99.beta19-2.1 amd64 [upgradable from: 0.99.beta19-2ubuntu2]
libcc1-0/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libcom-err2/eoan 1.45.0-1 amd64 [upgradable from: 1.44.6-1]
libcom-err2/eoan 1.45.0-1 i386 [upgradable from: 1.44.6-1]
libcryptsetup12/eoan 2:2.1.0-3ubuntu1 amd64 [upgradable from: 2:2.1.0-1ubuntu1]
libcups2/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
libcups2/eoan 2.2.10-6ubuntu1 i386 [upgradable from: 2.2.10-4]
libcupsimage2/eoan 2.2.10-6ubuntu1 amd64 [upgradable from: 2.2.10-4]
libdap25/eoan 3.20.3-1 amd64 [upgradable from: 3.20.2-1]
libdapclient6v5/eoan 3.20.3-1 amd64 [upgradable from: 3.20.2-1]
libdb5.3/eoan 5.3.28+dfsg1-0.6 amd64 [upgradable from: 5.3.28+dfsg1-0.5]
libdb5.3/eoan 5.3.28+dfsg1-0.6 i386 [upgradable from: 5.3.28+dfsg1-0.5]
libdc1394-22/eoan 2.2.5-2 amd64 [upgradable from: 2.2.5-1]
libdconf1/eoan 0.32.0-1 amd64 [upgradable from: 0.30.1-2]
libdebconfclient0/eoan 0.249ubuntu1 amd64 [upgradable from: 0.247ubuntu1]
libdevmapper1.02.1/eoan 2:1.02.155-2ubuntu1 amd64 [upgradable from: 2:1.02.145-4.1ubuntu4]
libdns-export1104/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libdns1104/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libdolphinvcs5/eoan 4:19.04.0-0ubuntu2 amd64 [upgradable from: 4:18.12.3-0ubuntu2]
libdouble-conversion1/eoan 3.1.0-3 amd64 [upgradable from: 3.1.0-2]
libext2fs2/eoan 1.45.0-1 amd64 [upgradable from: 1.44.6-1]
libfwupd2/eoan 1.2.6-1ubuntu1 amd64 [upgradable from: 1.2.5-1ubuntu1]
libgcc-8-dev/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
libgcc1/eoan 1:9.1.0-1ubuntu1 amd64 [upgradable from: 1:9-20190402-1ubuntu1]
libgcc1/eoan 1:9.1.0-1ubuntu1 i386 [upgradable from: 1:9-20190402-1ubuntu1]
libgcrypt20/eoan 1.8.4-5ubuntu1 amd64 [upgradable from: 1.8.4-3ubuntu1]
libgcrypt20/eoan 1.8.4-5ubuntu1 i386 [upgradable from: 1.8.4-3ubuntu1]
libgfortran5/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libglibmm-2.4-1v5/eoan 2.60.0-1 amd64 [upgradable from: 2.58.0-2]
libgnustep-gui0.27/eoan 0.27.0-5 amd64 [upgradable from: 0.27.0-4]
libgnutls30/eoan 3.6.7-2ubuntu3 amd64 [upgradable from: 3.6.5-2ubuntu1]
libgnutls30/eoan 3.6.7-2ubuntu3 i386 [upgradable from: 3.6.5-2ubuntu1]
libgomp1/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libgpg-error-l10n/eoan,eoan 1.36-1 all [upgradable from: 1.35-1]
libgpg-error0/eoan 1.36-1 amd64 [upgradable from: 1.35-1]
libgpg-error0/eoan 1.36-1 i386 [upgradable from: 1.35-1]
libgpgme11/eoan 1.12.0-6ubuntu1 amd64 [upgradable from: 1.12.0-4ubuntu1]
libgpgmepp6/eoan 1.12.0-6ubuntu1 amd64 [upgradable from: 1.12.0-4ubuntu1]
libgps23/eoan 3.17-6 amd64 [upgradable from: 3.17-5build1]
libgraphicsmagick++-q16-12/eoan 1.4~hg15978-1 amd64 [upgradable from: 1.4~hg15916-2]
libgraphicsmagick-q16-3/eoan 1.4~hg15978-1 amd64 [upgradable from: 1.4~hg15916-2]
libgroupsock8/eoan 2018.11.26-1.1 amd64 [upgradable from: 2018.11.26-1]
libgs9-common/eoan,eoan 9.26~dfsg+0-0ubuntu8 all [upgradable from: 9.26~dfsg+0-0ubuntu7.1]
libgs9/eoan 9.26~dfsg+0-0ubuntu8 amd64 [upgradable from: 9.26~dfsg+0-0ubuntu7.1]
libgssapi-krb5-2/eoan 1.17-2 amd64 [upgradable from: 1.17-1]
libgssapi-krb5-2/eoan 1.17-2 i386 [upgradable from: 1.17-1]
libgstreamer-gl1.0-0/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
libgstreamer-plugins-bad1.0-0/eoan 1.16.0-1ubuntu1 amd64 [upgradable from: 1.15.90-1ubuntu1]
libgstreamer-plugins-base1.0-0/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1]
libgstreamer-plugins-base1.0-0/eoan 1.16.0-1 i386 [upgradable from: 1.15.90-1]
libgstreamer-plugins-good1.0-0/eoan 1.16.0-1ubuntu3 amd64 [upgradable from: 1.15.90-1ubuntu1]
libgstreamer1.0-0/eoan 1.16.0-1 amd64 [upgradable from: 1.15.90-1ubuntu1]
libgstreamer1.0-0/eoan 1.16.0-1 i386 [upgradable from: 1.15.90-1ubuntu1]
libharfbuzz-icu0/eoan 2.4.0-1 amd64 [upgradable from: 2.3.1-1]
libharfbuzz0b/eoan 2.4.0-1 amd64 [upgradable from: 2.3.1-1]
libibus-1.0-5/eoan 1.5.19-1ubuntu3 amd64 [upgradable from: 1.5.19-1ubuntu2]
libid3tag0/eoan 0.15.1b-14 amd64 [upgradable from: 0.15.1b-13]
libinput-bin/eoan 1.12.6-2 amd64 [upgradable from: 1.12.6-1]
libinput10/eoan 1.12.6-2 amd64 [upgradable from: 1.12.6-1]
libio-socket-ssl-perl/eoan,eoan 2.066-0ubuntu3 all [upgradable from: 2.060-3]
libirs161/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libisc-export1100/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libisc1100/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libisccc161/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libisccfg163/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libitm1/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libjbig2dec0/eoan 0.16-1 amd64 [upgradable from: 0.15-2]
libjs-jquery/eoan,eoan 3.3.1~dfsg-3 all [upgradable from: 3.3.1~dfsg-1]
libk3b7-extracodecs/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
libk3b7/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
libk5crypto3/eoan 1.17-2 amd64 [upgradable from: 1.17-1]
libk5crypto3/eoan 1.17-2 i386 [upgradable from: 1.17-1]
libkaccounts1/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkate1/eoan 0.4.1-9 amd64 [upgradable from: 0.4.1-8]
libkf5activities5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5activitiesstats1/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5archive5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5attica5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5auth-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu4]
libkf5auth5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu4]
libkf5authcore5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu4]
libkf5baloo5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5balooengine5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5baloowidgets-bin/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkf5baloowidgets-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
libkf5baloowidgets5/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkf5bluezqt-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5bluezqt6/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5bookmarks-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5bookmarks5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5calendarevents5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5cddb-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
libkf5cddb5/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkf5codecs-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5codecs5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5compactdisc-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
libkf5compactdisc5/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkf5completion-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5completion5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5config-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5config-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5configcore5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5configgui5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5configwidgets-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5configwidgets5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5coreaddons-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5coreaddons5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5crash5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5dbusaddons-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5dbusaddons-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5dbusaddons5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5declarative-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5declarative5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5dnssd-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5dnssd5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5doctools5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5emoticons-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5emoticons-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5emoticons5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5filemetadata-bin/eoan 5.57.0-0ubuntu2 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5filemetadata-data/eoan,eoan 5.57.0-0ubuntu2 all [upgradable from: 5.56.0-0ubuntu1]
libkf5filemetadata3/eoan 5.57.0-0ubuntu2 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5globalaccel-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5globalaccel-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5globalaccel5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5globalaccelprivate5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5guiaddons5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5holidays-data/eoan,eoan 1:5.57.0-0ubuntu1 all [upgradable from: 1:5.56.0-0ubuntu1]
libkf5holidays5/eoan 1:5.57.0-0ubuntu1 amd64 [upgradable from: 1:5.56.0-0ubuntu1]
libkf5i18n-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5i18n5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5iconthemes-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5iconthemes-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5iconthemes5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5idletime5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5itemmodels5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5itemviews-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5itemviews5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5jobwidgets-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5jobwidgets5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5js5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5jsapi5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5jsembed-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5jsembed5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kcmutils-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu2]
libkf5kcmutils5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
libkf5kdcraw5/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
libkf5kdelibs4support-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu2]
libkf5kdelibs4support5-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
libkf5kdelibs4support5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
libkf5kexiv2-15.0.0/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
libkf5khtml-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5khtml-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5khtml5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kiocore5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kiofilewidgets5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kiogui5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kiontlm5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kiowidgets5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5kipi-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
libkf5kipi32.0.0/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkf5kirigami2-5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.1-0ubuntu1]
libkf5konq-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
libkf5konq6/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libkf5krosscore5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5krossui5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5modemmanagerqt6/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5networkmanagerqt6/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5newstuff-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5newstuff5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5newstuffcore5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5notifications-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5notifications5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5notifyconfig-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5notifyconfig5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5package-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5package5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5parts-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5parts-plugins/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5parts5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5people-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5people5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5peoplebackend5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5peoplewidgets5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5plasma5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.1-0ubuntu2]
libkf5plasmaquick5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.1-0ubuntu2]
libkf5plotting5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5prison5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5pty-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5pty5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5purpose-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5purpose5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5quickaddons5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5runner5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5sane-data/eoan,eoan 19.04.0-0ubuntu1 all [upgradable from: 18.12.3-0ubuntu1]
libkf5sane5/eoan 19.04.0-0ubuntu1 amd64 [upgradable from: 18.12.3-0ubuntu1]
libkf5service-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5service-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5service5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5solid5-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5solid5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5sonnet5-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5sonnetcore5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5sonnetui5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5style5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5su-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5su-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5su5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5syndication5abi1/eoan 1:5.57.0-0ubuntu1 amd64 [upgradable from: 1:5.56.0-0ubuntu1]
libkf5syntaxhighlighting-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5syntaxhighlighting5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5texteditor-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5texteditor5-libjs-underscore/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5texteditor5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5textwidgets-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5textwidgets5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5threadweaver5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5unitconversion-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5unitconversion5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5wallet-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5wallet-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5wallet5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5waylandclient5/eoan 4:5.57.0-0ubuntu1 amd64 [upgradable from: 4:5.56.0-0ubuntu1]
libkf5waylandserver5/eoan 4:5.57.0-0ubuntu1 amd64 [upgradable from: 4:5.56.0-0ubuntu1]
libkf5webkit5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5widgetsaddons-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5widgetsaddons5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkf5windowsystem-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu2]
libkf5windowsystem5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
libkf5xmlgui-bin/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
libkf5xmlgui-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu2]
libkf5xmlgui5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
libkf5xmlrpcclient-data/eoan,eoan 5.57.0-0ubuntu1 all [upgradable from: 5.56.0-0ubuntu1]
libkf5xmlrpcclient5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
libkmod2/eoan 26-1ubuntu1 amd64 [upgradable from: 25-1ubuntu4]
libkrb5-3/eoan 1.17-2 amd64 [upgradable from: 1.17-1]
libkrb5-3/eoan 1.17-2 i386 [upgradable from: 1.17-1]
libkrb5support0/eoan 1.17-2 amd64 [upgradable from: 1.17-1]
libkrb5support0/eoan 1.17-2 i386 [upgradable from: 1.17-1]
libkwalletbackend5-5/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
liblivemedia64/eoan 2018.11.26-1.1 amd64 [upgradable from: 2018.11.26-1]
libllvm8/eoan 1:8-4 amd64 [upgradable from: 1:8-3]
libllvm8/eoan 1:8-4 i386 [upgradable from: 1:8-3]
liblouis-data/eoan,eoan 3.9.0-1 all [upgradable from: 3.8.0-2]
liblouis17/eoan 3.9.0-1 amd64 [upgradable from: 3.8.0-2]
liblouisutdml-bin/eoan 2.7.0-6 amd64 [upgradable from: 2.7.0-5build1]
liblouisutdml-data/eoan,eoan 2.7.0-6 all [upgradable from: 2.7.0-5build1]
liblouisutdml8/eoan 2.7.0-6 amd64 [upgradable from: 2.7.0-5build1]
liblsan0/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
liblwp-protocol-https-perl/eoan,eoan 6.07-2ubuntu1 all [upgradable from: 6.07-2]
liblwres161/eoan 1:9.11.5.P4+dfsg-4ubuntu1 amd64 [upgradable from: 1:9.11.5.P1+dfsg-1ubuntu2.3]
libmad0/eoan 0.15.1b-10ubuntu1 amd64 [upgradable from: 0.15.1b-9ubuntu18.10.1]
libmagickcore-6.q16-6-extra/eoan 8:6.9.10.23+dfsg-2.1ubuntu1 amd64 [upgradable from: 8:6.9.10.14+dfsg-7ubuntu2]
libmagickcore-6.q16-6/eoan 8:6.9.10.23+dfsg-2.1ubuntu1 amd64 [upgradable from: 8:6.9.10.14+dfsg-7ubuntu2]
libmagickwand-6.q16-6/eoan 8:6.9.10.23+dfsg-2.1ubuntu1 amd64 [upgradable from: 8:6.9.10.14+dfsg-7ubuntu2]
libmailutils5/eoan 1:3.5-3 amd64 [upgradable from: 1:3.5-2build1]
libmarblewidget-qt5-28/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libmm-glib0/eoan 1.10.0-1ubuntu1 amd64 [upgradable from: 1.10.0-1]
libmpx2/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
libmysofa0/eoan 0.6~dfsg0-3 amd64 [upgradable from: 0.6~dfsg0-2]
libmysqlclient20/eoan 5.7.26-0ubuntu1 amd64 [upgradable from: 5.7.26-0ubuntu0.19.04.1]
libnet-ssleay-perl/eoan 1.86~10-0ubuntu1 amd64 [upgradable from: 1.85-2ubuntu3]
libnewt0.52/eoan 0.52.20-8ubuntu2 amd64 [upgradable from: 0.52.20-6ubuntu2]
libnghttp2-14/eoan 1.37.0-1 amd64 [upgradable from: 1.36.0-2]
libnode64/eoan 10.15.2~dfsg-2 amd64 [upgradable from: 10.15.2~dfsg-1]
libntfs-3g883/eoan 1:2017.3.23AR.3-3ubuntu1 amd64 [upgradable from: 1:2017.3.23AR.3-2ubuntu1]
libobjc4/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libokular5core9/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
liborc-0.4-0/eoan 1:0.4.29-1 amd64 [upgradable from: 1:0.4.28-3.1]
liborc-0.4-0/eoan 1:0.4.29-1 i386 [upgradable from: 1:0.4.28-3.1]
libpci3/eoan 1:3.5.2-5ubuntu1 amd64 [upgradable from: 1:3.5.2-1ubuntu2]
libpcsclite1/eoan 1.8.25-1ubuntu1 amd64 [upgradable from: 1.8.24-1]
libpng16-16/eoan 1.6.37-1~exp4 amd64 [upgradable from: 1.6.36-6]
libpng16-16/eoan 1.6.37-1~exp4 i386 [upgradable from: 1.6.36-6]
libpodofo0.9.6/eoan 0.9.6+dfsg-5 amd64 [upgradable from: 0.9.6+dfsg-4]
libpq5/eoan 11.2-2 amd64 [upgradable from: 11.2-1]
libqmobipocket2/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
libqpdf21/eoan 8.4.1-1 amd64 [upgradable from: 8.4.0-2]
libquadmath0/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libreoffice-avmedia-backend-gstreamer/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-base-core/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-base-drivers/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-base/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-calc/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-common/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-core/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-draw/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-gnome/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-gtk3/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-help-pt/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-impress/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-java-common/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-kde5/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-l10n-pt/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-librelogo/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-math/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-nlpsolver/eoan,eoan 0.9+LibO6.2.3-0ubuntu1 all [upgradable from: 0.9+LibO6.2.2-0ubuntu2]
libreoffice-qt5/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-report-builder-bin/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-report-builder/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-script-provider-bsh/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-script-provider-js/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-script-provider-python/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-sdbc-firebird/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-sdbc-hsqldb/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-sdbc-mysql/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-sdbc-postgresql/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-style-breeze/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-style-colibre/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-style-elementary/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-style-tango/eoan,eoan 1:6.2.3-0ubuntu1 all [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice-wiki-publisher/eoan,eoan 1.2.0+LibO6.2.3-0ubuntu1 all [upgradable from: 1.2.0+LibO6.2.2-0ubuntu2]
libreoffice-writer/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
libreoffice/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
librsvg2-2/eoan 2.44.10-2.1 amd64 [upgradable from: 2.44.10-2]
librsvg2-common/eoan 2.44.10-2.1 amd64 [upgradable from: 2.44.10-2]
libseccomp2/eoan 2.4.1-0ubuntu0.19.10.3 amd64 [upgradable from: 2.3.3-3ubuntu2]
libselinux1/eoan 2.9-1 amd64 [upgradable from: 2.8-1build2]
libselinux1/eoan 2.9-1 i386 [upgradable from: 2.8-1build2]
libsemanage-common/eoan,eoan 2.9-1 all [upgradable from: 2.8-2]
libsemanage1/eoan 2.9-1 amd64 [upgradable from: 2.8-2]
libsepol1/eoan 2.9-1 amd64 [upgradable from: 2.8-1]
libslang2/eoan 2.3.2-3 amd64 [upgradable from: 2.3.2-1ubuntu1]
libss2/eoan 1.45.0-1 amd64 [upgradable from: 1.44.6-1]
libssl1.1/eoan 1.1.1b-2ubuntu1 amd64 [upgradable from: 1.1.1b-1ubuntu2]
libssl1.1/eoan 1.1.1b-2ubuntu1 i386 [upgradable from: 1.1.1b-1ubuntu2]
libstdc++-8-dev/eoan 8.3.0-12ubuntu1 amd64 [upgradable from: 8.3.0-6ubuntu1]
libstdc++6/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libstdc++6/eoan 9.1.0-1ubuntu1 i386 [upgradable from: 9-20190402-1ubuntu1]
libtsan0/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libubsan1/eoan 9.1.0-1ubuntu1 amd64 [upgradable from: 9-20190402-1ubuntu1]
libusageenvironment3/eoan 2018.11.26-1.1 amd64 [upgradable from: 2018.11.26-1]
libv4l-0/eoan 1.16.6-1 amd64 [upgradable from: 1.16.3-1]
libv4l-0/eoan 1.16.6-1 i386 [upgradable from: 1.16.3-1]
libv4lconvert0/eoan 1.16.6-1 amd64 [upgradable from: 1.16.3-1]
libv4lconvert0/eoan 1.16.6-1 i386 [upgradable from: 1.16.3-1]
libva-drm2/eoan 2.4.1-1 amd64 [upgradable from: 2.4.0-1]
libva-wayland2/eoan 2.4.1-1 amd64 [upgradable from: 2.4.0-1]
libva-x11-2/eoan 2.4.1-1 amd64 [upgradable from: 2.4.0-1]
libva2/eoan 2.4.1-1 amd64 [upgradable from: 2.4.0-1]
libvte-2.91-0/eoan 0.56.2-1ubuntu1 amd64 [upgradable from: 0.56.1-1ubuntu1]
libvte-2.91-common/eoan,eoan 0.56.2-1ubuntu1 all [upgradable from: 0.56.1-1ubuntu1]
libvulkan1/eoan 1.1.106.0-1 amd64 [upgradable from: 1.1.101.0-2]
libvulkan1/eoan 1.1.106.0-1 i386 [upgradable from: 1.1.101.0-2]
libwavpack1/eoan 5.1.0-6 amd64 [upgradable from: 5.1.0-5ubuntu0.1]
libwhoopsie-preferences0/eoan 21 amd64 [upgradable from: 20]
libwine/eoan 4.0-2 i386 [upgradable from: 4.0-1]
libxapian30/eoan 1.4.11-1 amd64 [upgradable from: 1.4.10-1]
libzbar0/eoan 0.22-1 amd64 [upgradable from: 0.21-3]
lintian/eoan,eoan 2.12.0ubuntu1 all [upgradable from: 2.12.0]
linux-base/eoan,eoan 4.5ubuntu2 all [upgradable from: 4.5ubuntu1]
linux-firmware/eoan,eoan 1.179 all [upgradable from: 1.178]
lshw/eoan 02.18.85-0.1ubuntu1 amd64 [upgradable from: 02.18-0.1ubuntu7]
mailutils-common/eoan,eoan 1:3.5-3 all [upgradable from: 1:3.5-2build1]
mailutils/eoan 1:3.5-3 amd64 [upgradable from: 1:3.5-2build1]
manpages-dev/eoan,eoan 4.16-2 all [upgradable from: 4.16-1]
manpages/eoan,eoan 4.16-2 all [upgradable from: 4.16-1]
marble-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
marble-plugins/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
marble-qt-data/eoan,eoan 4:19.04.0-0ubuntu1 all [upgradable from: 4:18.12.3-0ubuntu1]
marble/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
mime-support/eoan,eoan 3.62ubuntu1 all [upgradable from: 3.60ubuntu1]
mlocate/eoan 0.26-3ubuntu2 amd64 [upgradable from: 0.26-2ubuntu3.1]
modemmanager/eoan 1.10.0-1ubuntu1 amd64 [upgradable from: 1.10.0-1]
nano/eoan 4.1-1 amd64 [upgradable from: 3.2-2]
netplan.io/eoan 0.97-0ubuntu1 amd64 [upgradable from: 0.96-0ubuntu4.1]
nodejs-doc/eoan,eoan 10.15.2~dfsg-2 all [upgradable from: 10.15.2~dfsg-1]
nodejs/eoan 10.15.2~dfsg-2 amd64 [upgradable from: 10.15.2~dfsg-1]
ntfs-3g/eoan 1:2017.3.23AR.3-3ubuntu1 amd64 [upgradable from: 1:2017.3.23AR.3-2ubuntu1]
okular-extra-backends/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
okular/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
openjdk-11-jre-headless/eoan 11.0.4+1-1ubuntu1 amd64 [upgradable from: 11.0.3+7-1ubuntu1]
openjdk-11-jre/eoan 11.0.4+1-1ubuntu1 amd64 [upgradable from: 11.0.3+7-1ubuntu1]
openssl/eoan 1.1.1b-2ubuntu1 amd64 [upgradable from: 1.1.1b-1ubuntu2]
pastebinit/eoan,eoan 1.5-2.2 all [upgradable from: 1.5-2]
pciutils/eoan 1:3.5.2-5ubuntu1 amd64 [upgradable from: 1:3.5.2-1ubuntu2]
pinentry-qt/eoan 1.1.0-2 amd64 [upgradable from: 1.1.0-1build2]
plasma-framework/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.1-0ubuntu2]
powermgmt-base/eoan,eoan 1.34 all [upgradable from: 1.33]
ppp/eoan 2.4.7-2+4.1ubuntu2 amd64 [upgradable from: 2.4.7-2+4.1ubuntu1]
print-manager/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
publicsuffix/eoan,eoan 20190415.1030-1 all [upgradable from: 20190128.1516-1]
python-apt-common/eoan,eoan 1.9.0~alpha0~ubuntu2 all [upgradable from: 1.8.4]
python3-apt/eoan 1.9.0~alpha0~ubuntu2 amd64 [upgradable from: 1.8.4]
python3-debconf/eoan,eoan 1.5.72 all [upgradable from: 1.5.71]
python3-distupgrade/eoan,eoan 1:19.10.3 all [upgradable from: 1:19.04.16.2]
python3-pil/eoan 5.4.1-2 amd64 [upgradable from: 5.4.1-1]
python3-renderpm/eoan 3.5.21-1 amd64 [upgradable from: 3.5.18-1]
python3-reportlab-accel/eoan 3.5.21-1 amd64 [upgradable from: 3.5.18-1]
python3-reportlab/eoan,eoan 3.5.21-1 all [upgradable from: 3.5.18-1]
python3-sip/eoan 4.19.16+dfsg-1 amd64 [upgradable from: 4.19.15+dfsg-1ubuntu1]
python3-software-properties/eoan,eoan 0.98.0 all [upgradable from: 0.97.11]
python3-uno/eoan 1:6.2.3-0ubuntu1 amd64 [upgradable from: 1:6.2.2-0ubuntu2]
python3-xapian/eoan 1.4.11-2 amd64 [upgradable from: 1.4.10-1]
qml-module-org-kde-activities/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-bluezqt/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-draganddrop/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kcm/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kconfig/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kcoreaddons/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kholidays/eoan 1:5.57.0-0ubuntu1 amd64 [upgradable from: 1:5.56.0-0ubuntu1]
qml-module-org-kde-kio/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kirigami2/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.1-0ubuntu1]
qml-module-org-kde-kquickcontrols/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kquickcontrolsaddons/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-kwindowsystem/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-newstuff/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-purpose/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-qqc2desktopstyle/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu2]
qml-module-org-kde-runnermodel/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qml-module-org-kde-solid/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
qpdf/eoan 8.4.1-1 amd64 [upgradable from: 8.4.0-2]
qtchooser/eoan 66-2 amd64 [upgradable from: 66-1]
rsyslog/eoan 8.1901.0-1ubuntu1 amd64 [upgradable from: 8.32.0-1ubuntu7]
ruby-atk/eoan,eoan 3.3.6-1 all [upgradable from: 3.3.5-1]
ruby-cairo-gobject/eoan 3.3.6-1 amd64 [upgradable from: 3.3.5-1]
ruby-gdk-pixbuf2/eoan,eoan 3.3.6-1 all [upgradable from: 3.3.5-1]
ruby-gio2/eoan 3.3.6-1 amd64 [upgradable from: 3.3.5-1]
ruby-glib2/eoan 3.3.6-1 amd64 [upgradable from: 3.3.5-1]
ruby-gobject-introspection/eoan 3.3.6-1 amd64 [upgradable from: 3.3.5-1]
ruby-gtk2/eoan 3.3.6-1 amd64 [upgradable from: 3.3.5-1]
ruby-pango/eoan 3.3.6-1 amd64 [upgradable from: 3.3.5-1]
sbsigntool/eoan 0.9.2-2ubuntu1 amd64 [upgradable from: 0.6-3.2ubuntu2]
signon-kwallet-extension/eoan 4:19.04.0-0ubuntu1 amd64 [upgradable from: 4:18.12.3-0ubuntu1]
snapd/eoan 2.38+19.04build2 amd64 [upgradable from: 2.38+19.04]
software-properties-common/eoan,eoan 0.98.0 all [upgradable from: 0.97.11]
software-properties-qt/eoan,eoan 0.98.0 all [upgradable from: 0.97.11]
sonnet-plugins/eoan 5.57.0-0ubuntu1 amd64 [upgradable from: 5.56.0-0ubuntu1]
strace/eoan 4.26-0.2ubuntu3 amd64 [upgradable from: 4.25-0ubuntu1]
synaptic/eoan 0.84.6 amd64 [upgradable from: 0.84.5]
sysvinit-utils/eoan 2.93-8ubuntu1 amd64 [upgradable from: 2.88dsf-59.10ubuntu2]
tar/eoan 1.30+dfsg-6 amd64 [upgradable from: 1.30+dfsg-5]
tpm2-abrmd/eoan 2.1.1-1 amd64 [upgradable from: 2.1.0-1]
ttf-mscorefonts-installer/eoan,eoan 3.7ubuntu6 all [upgradable from: 3.7ubuntu4]
ubuntu-release-upgrader-core/eoan,eoan 1:19.10.3 all [upgradable from: 1:19.04.16.2]
uno-libs3/eoan 6.2.3-0ubuntu1 amd64 [upgradable from: 6.2.2-0ubuntu2]
update-inetd/eoan,eoan 4.50 all [upgradable from: 4.49]
update-notifier-common/eoan,eoan 3.192.20 all [upgradable from: 3.192.18]
ure/eoan 6.2.3-0ubuntu1 amd64 [upgradable from: 6.2.2-0ubuntu2]
usb.ids/eoan,eoan 2019.04.23-1 all [upgradable from: 2019.02.23-1]
va-driver-all/eoan 2.4.1-1 amd64 [upgradable from: 2.4.0-1]
vim-common/eoan,eoan 2:8.1.0875-3ubuntu1 all [upgradable from: 2:8.1.0320-1ubuntu3]
vim-tiny/eoan 2:8.1.0875-3ubuntu1 amd64 [upgradable from: 2:8.1.0320-1ubuntu3]
wget/eoan 1.20.1-1.1ubuntu1 amd64 [upgradable from: 1.20.1-1ubuntu4]
whiptail/eoan 0.52.20-8ubuntu2 amd64 [upgradable from: 0.52.20-6ubuntu2]
whoopsie-preferences/eoan 21 amd64 [upgradable from: 20]
wine32-preloader/eoan 4.0-2 i386 [upgradable from: 4.0-1]
wine32/eoan 4.0-2 i386 [upgradable from: 4.0-1]
wine/eoan,eoan 4.0-2 all [upgradable from: 4.0-1]
wpasupplicant/eoan 2:2.8-2ubuntu1 amd64 [upgradable from: 2:2.6-21ubuntu3.1]
xkb-data/eoan,eoan 2.26-2ubuntu1 all [upgradable from: 2.23.1-1ubuntu1.18.10.1]
xserver-xorg-video-ati/eoan 1:19.0.1-1 amd64 [upgradable from: 1:19.0.1-0ubuntu1]
xserver-xorg-video-radeon/eoan 1:19.0.1-1 amd64 [upgradable from: 1:19.0.1-0ubuntu1]
xxd/eoan 2:8.1.0875-3ubuntu1 amd64 [upgradable from: 2:8.1.0320-1ubuntu3]

2019-05-09 13:45:58 ----------- Starting upgrade

$ sudo apt-get dist-upgrade
...
611 to upgrade, 20 to newly install, 1 to remove and 0 not to upgrade.
Need to get 698 MB of archives.
After this operation, 108 MB of additional disk space will be used.
Do you want to continue? [Y/n]
...
2019-05-09 14:13:58 -------------------- The End

Mais uma vez, foi reiniciado o computador e atualizado o Grub (pelo Mageia), — que já detectou a nova versão do Kubuntu.

Kubuntu 19.10 “Eoan Ermine”, — faltando corrigir o cabeçalho do Conky

Do ponto de vista de um usuário leigo, as mudanças mais notáveis foram de KDE Frameworks 5.56 para 5.57, e de KDE Applications 18.12.3 para 19.04.0, — além do Chromium, Firefox, LibreOffice etc. — Com apenas 9 dias de desenvolvimento, as diferenças em relação ao último lançamento ainda eram bem discretas:

---------------- Antes:

      Operating System: Kubuntu 19.04
    KDE Plasma Version: 5.15.4
KDE Frameworks Version: 5.56.0
            Qt Version: 5.12.2
        Kernel Version: 5.0.0-13-generic

--------------- Depois:

      Operating System: Kubuntu 19.10
    KDE Plasma Version: 5.15.4
KDE Frameworks Version: 5.57.0
            Qt Version: 5.12.2
        Kernel Version: 5.0.0-13-generic

O Kubuntu 19.10 “Eoan Ermine” (development branch) foi utilizado durante uma semana, — de 9 a 17 de Maio, — tanto nas atividades do dia-a-dia quanto numa experiência com temas e cores escuras, que eu nunca tinha utilizado antes.

Justo quando lidava com Temas da área de trabalho, Aparência, Estilos e Cores, teve início uma atualização do Frameworks 5.57 para 5.58, — em capítulos, a perder de vista, — que se estendeu do dia 13 ao dia 18 de Maio.

Nesse meio tempo, a seção Temas do Plasma se mostrou vazia, entre os dias 13 e 14, — e depois de se re-povoar, quando tentava aplicar o tema Maia transparent, este desaparecia (se auto-desinstalava) e entrava em vigor Oxygen (se auto-selecionava). — Afinal, o problema desapareceu por si só, com as atualizações que foram chegando depois (ou porque mudei de abordagem).

Em algumas situações, registram-se demoras ou quase travamento, — entre Gimp e Gwenview, por exemplo, ou entre Gimp e Dolphin, — mas afora isso, o Kubuntu 19.10 “Eoan Ermine” funcionou sem problemas.

Transformação por comando


O exame dos manuais dos comandos sugere que a transformação para a nova versão em desenvolvimento poderia ser simplificada, pelo comando “do-release-upgrade” com a opção “-d”, ou “--devel-release”:

$ man do-release-upgrade

DO-RELEASE-UPGRADE(8)

NAME
       do-release-upgrade - upgrade operating system to latest release

SYNOPSIS
       do-release-upgrade [options]

DESCRIPTION
       Upgrade  the  operating  system to the latest release from the command-line.  This is the preferred command if the machine
       has no graphic environment or if the machine is to be upgraded over a remote connection.

OPTIONS
...
       -d, --devel-release
              If using the latest supported release, upgrade to the development release

Infelizmente, só vi isso depois da transformação, e agora é tarde para testar. — Isto só é permitido a partir do último lançamento suportado:

# do-release-upgrade -d
Checking for a new Ubuntu release
Upgrades to the development release are only available from the latest supported release.

Transformação em Rolling release


Upgrade para “Devel” gera Avisos meio alarmantes

O passo seguinte seria substituir “eoan” por “devel” no arquivo /etc/apt/sources.list, — para não ter mais de fazer isso após cada lançamento, de 6 em 6 meses:

(8)  $ sudo -i
(9)  # sed -i 's/eoan/devel/g' /etc/apt/sources.list
(10) # apt update
(11) # apt full-upgrade

Logo na primeira recarga das informações dos repositórios, se apresentaram 4 “Avisos” (Warning) de “Distribuição conflitante”, capazes de estressar um cristão, — mas nenhuma “Mensagem de erro”, propriamente, — afinal, todos os 59 “get” foram bem-sucedidos:

# apt update
Get:1 http://br.archive.ubuntu.com/ubuntu devel InRelease [255 kB]
Get:2 http://security.ubuntu.com/ubuntu devel-security InRelease [79,7 kB]            
Get:3 http://br.archive.ubuntu.com/ubuntu devel-updates InRelease [79,7 kB]
Get:4 http://br.archive.ubuntu.com/ubuntu devel-backports InRelease [79,7 kB]
Get:5 http://br.archive.ubuntu.com/ubuntu devel/main i386 Packages [984 kB]
Get:6 http://br.archive.ubuntu.com/ubuntu devel/main amd64 Packages [998 kB]
Get:7 http://security.ubuntu.com/ubuntu devel-security/main amd64 c-n-f Metadata [108 B]
Get:8 http://security.ubuntu.com/ubuntu devel-security/restricted amd64 c-n-f Metadata [116 B]
Get:9 http://security.ubuntu.com/ubuntu devel-security/universe amd64 c-n-f Metadata [112 B]
Get:10 http://security.ubuntu.com/ubuntu devel-security/multiverse amd64 c-n-f Metadata [116 B]    
Get:11 http://br.archive.ubuntu.com/ubuntu devel/main Translation-pt_BR [270 kB]                    
Get:12 http://br.archive.ubuntu.com/ubuntu devel/main Translation-pt [163 kB]
Get:13 http://br.archive.ubuntu.com/ubuntu devel/main Translation-en_GB [394 kB]
Get:14 http://br.archive.ubuntu.com/ubuntu devel/main Translation-en [511 kB]
Get:15 http://br.archive.ubuntu.com/ubuntu devel/main amd64 DEP-11 Metadata [499 kB]
Get:16 http://br.archive.ubuntu.com/ubuntu devel/main DEP-11 48x48 Icons [98,4 kB]
Get:17 http://br.archive.ubuntu.com/ubuntu devel/main DEP-11 64x64 Icons [179 kB]
Get:18 http://br.archive.ubuntu.com/ubuntu devel/main DEP-11 64x64@2 Icons [2.962 B]
Get:19 http://br.archive.ubuntu.com/ubuntu devel/main DEP-11 128x128 Icons [424 kB]
Get:20 http://br.archive.ubuntu.com/ubuntu devel/main amd64 c-n-f Metadata [30,1 kB]
Get:21 http://br.archive.ubuntu.com/ubuntu devel/restricted amd64 Packages [14,0 kB]
Get:22 http://br.archive.ubuntu.com/ubuntu devel/restricted i386 Packages [11,1 kB]
Get:23 http://br.archive.ubuntu.com/ubuntu devel/restricted Translation-en [4.960 B]
Get:24 http://br.archive.ubuntu.com/ubuntu devel/restricted Translation-en_GB [1.960 B]
Get:25 http://br.archive.ubuntu.com/ubuntu devel/restricted Translation-pt_BR [1.344 B]
Get:26 http://br.archive.ubuntu.com/ubuntu devel/restricted Translation-pt [1.340 B]
Get:27 http://br.archive.ubuntu.com/ubuntu devel/restricted amd64 c-n-f Metadata [348 B]
Get:28 http://br.archive.ubuntu.com/ubuntu devel/universe i386 Packages [8.927 kB]
Get:29 http://br.archive.ubuntu.com/ubuntu devel/universe amd64 Packages [8.984 kB]                                               
Get:30 http://br.archive.ubuntu.com/ubuntu devel/universe Translation-en_GB [4.050 kB]                                            
Get:31 http://br.archive.ubuntu.com/ubuntu devel/universe Translation-en [5.262 kB]                                               
Get:32 http://br.archive.ubuntu.com/ubuntu devel/universe Translation-pt [780 kB]                                                 
Get:33 http://br.archive.ubuntu.com/ubuntu devel/universe Translation-pt_BR [1.330 kB]                                            
Get:34 http://br.archive.ubuntu.com/ubuntu devel/universe amd64 DEP-11 Metadata [3.570 kB]                                        
Get:35 http://br.archive.ubuntu.com/ubuntu devel/universe DEP-11 48x48 Icons [2.789 kB]                                           
Get:36 http://br.archive.ubuntu.com/ubuntu devel/universe DEP-11 64x64 Icons [8.417 kB]                                           
Get:37 http://br.archive.ubuntu.com/ubuntu devel/universe DEP-11 64x64@2 Icons [21,4 kB]                                          
Get:38 http://br.archive.ubuntu.com/ubuntu devel/universe DEP-11 128x128 Icons [16,1 MB]                                          
Get:39 http://br.archive.ubuntu.com/ubuntu devel/universe amd64 c-n-f Metadata [276 kB]                                           
Get:40 http://br.archive.ubuntu.com/ubuntu devel/multiverse amd64 Packages [157 kB]                                               
Get:41 http://br.archive.ubuntu.com/ubuntu devel/multiverse i386 Packages [145 kB]                                                
Get:42 http://br.archive.ubuntu.com/ubuntu devel/multiverse Translation-pt [9.292 B]                                              
Get:43 http://br.archive.ubuntu.com/ubuntu devel/multiverse Translation-en_GB [77,7 kB]                                           
Get:44 http://br.archive.ubuntu.com/ubuntu devel/multiverse Translation-pt_BR [22,9 kB]                                           
Get:45 http://br.archive.ubuntu.com/ubuntu devel/multiverse Translation-en [112 kB]                                               
Get:46 http://br.archive.ubuntu.com/ubuntu devel/multiverse amd64 DEP-11 Metadata [51,5 kB]                                       
Get:47 http://br.archive.ubuntu.com/ubuntu devel/multiverse DEP-11 48x48 Icons [11,2 kB]                                          
Get:48 http://br.archive.ubuntu.com/ubuntu devel/multiverse DEP-11 64x64 Icons [220 kB]                                           
Get:49 http://br.archive.ubuntu.com/ubuntu devel/multiverse DEP-11 64x64@2 Icons [1.160 B]                                        
Get:50 http://br.archive.ubuntu.com/ubuntu devel/multiverse DEP-11 128x128 Icons [419 kB]                                         
Get:51 http://br.archive.ubuntu.com/ubuntu devel/multiverse amd64 c-n-f Metadata [9.336 B]                                        
Get:52 http://br.archive.ubuntu.com/ubuntu devel-updates/main amd64 c-n-f Metadata [108 B]                                        
Get:53 http://br.archive.ubuntu.com/ubuntu devel-updates/restricted amd64 c-n-f Metadata [112 B]                                  
Get:54 http://br.archive.ubuntu.com/ubuntu devel-updates/universe amd64 c-n-f Metadata [112 B]                                    
Get:55 http://br.archive.ubuntu.com/ubuntu devel-updates/multiverse amd64 c-n-f Metadata [112 B]                                  
Get:56 http://br.archive.ubuntu.com/ubuntu devel-backports/main amd64 c-n-f Metadata [108 B]                                      
Get:57 http://br.archive.ubuntu.com/ubuntu devel-backports/restricted amd64 c-n-f Metadata [116 B]                                
Get:58 http://br.archive.ubuntu.com/ubuntu devel-backports/universe amd64 c-n-f Metadata [112 B]                                  
Get:59 http://br.archive.ubuntu.com/ubuntu devel-backports/multiverse amd64 c-n-f Metadata [116 B]                                
Fetched 66,8 MB in 52s (1.281 kB/s)                                                                                               
Reading package lists... Done
Building dependency tree       
Reading state information... Done
All packages are up-to-date.
W: Conflicting distribution: http://br.archive.ubuntu.com/ubuntu devel InRelease (expected devel but got eoan)
W: Conflicting distribution: http://br.archive.ubuntu.com/ubuntu devel-updates InRelease (expected devel-updates but got eoan)
W: Conflicting distribution: http://br.archive.ubuntu.com/ubuntu devel-backports InRelease (expected devel-backports but got eoan)
W: Conflicting distribution: http://security.ubuntu.com/ubuntu devel-security InRelease (expected devel-security but got eoan)

Devel é um espelho do “development branch”, — Eoan, no momento

Em linguagem de gente, o que os avisos dizem, é que os 4 arquivos “InRelease” obtidos nos diretórios “Devel” são, na verdade, do “Eoan”:

expected    devel             but got   eoan
expected    devel-updates     but got   eoan
expected    devel-backports   but got   eoan
expected    devel-security    but got   eoan

E de fato são: — Devel nada mais é do que um espelho do “development branch”, que atualmente é o Eoan, — portanto, “Eoan” é a identificação encontrada no interior dos arquivos.

Algumas vezes, os repositórios “Devel” apresentavam defasagem de 1 hora em relação aos do “Eoan”.

Portanto, todo santo dia haveria 4 avisos de que, onde se esperava “Devel”, foi encontrado “Eoan”.

Uma vez que o sistema foi atualizado antes dessa alteração, não havia nada para atualizar, — e como nada foi atualizado, a alteração foi desfeita na mesma hora (dia 9), — sem necessidade de nenhum downgrade.

Nesse meio tempo, o Kubuntu 19.10 “Eoan Ermine” (development branch) foi sendo testado, — e fiz mais algumas pesquisas, na tentativa de eliminar esses Avisos inúteis. — Sem sucesso.

Aproveitei para ativar o repositório “Partner”, que estava desabilitado, — mas não consegui identificar, com certeza absoluta, quais os 4 pacotes que foram acrescentados à lista de pacotes disponíveis, — que passou de 63.067 para 63.071.

Kubuntu “rolling release”, anda sem corrigir o cabeçalho no Conky

No dia 17 de Maio, finalmente tornei a fazer a alteração dos repositórios, — de “Eoan” para “Devel”, — e iniciei novo período de observação.

Mais uma vez, nada a atualizar, — uma vez que “Devel” é uma cópia exata de “Eoan”, — e tudo já tinha sido atualizado, antes de dar este “salto para o mesmo lugar”.

Nos próximos 5 meses, caberia escolher entre 2 alternativas: ─ (1) Manter os repositórios “Devel”, para testar os procedimentos necessários para reconhecer a distro que entrará em desenvolvimento a seguir; ou (2) Voltar aos repositórios “Eoan”, para testar o comando:

# do-release-upgrade --devel-release

que provavelmente fará a mesma coisa, sem necessidade de repositórios “Devel”.

Kubuntu “Eoan Ermine”, ainda sem corrigir o cabeçalho no Conky

A alteração foi desfeita pela segunda vez no dia 23 de Maio, — de volta para os repositórios “Eoan”, — sem qualquer problema visível até o momento.

Referências



Wallpapers


Kubuntu 19.10 (development branch), ainda sem corrigir o cabeçalho do Conky


— … ≠ • ≠ … —

Ferramentas &tc.



Kubuntu